# Method: admin.directory.v1.customers.chrome.printers.list

List printers configs.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/{parent=customers/*}/chrome/printers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the customer who owns this collection of printers. Format: customers/{customer_id} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of objects to return. The service may return fewer than this value. |
| `pageToken` | `string` A page token, received from a previous call. |
| `orgUnitId` | `string` Organization Unit that we want to list the printers for. When org_unit is not present in the request then all printers of the customer are returned (or filtered). When org_unit is present in the request then only printers available to this OU will be returned (owned or inherited). You may see if printer is owned or inherited for this OU by looking at Printer.org_unit_id. |
| `filter` | `string` Search query. Search syntax is shared between this api and Admin Console printers pages. |
| `orderBy` | `string` The order to sort results by. Must be one of displayName, description, makeAndModel, or createTime. Default order is ascending, but descending order can be returned by appending "desc" to the orderBy field. For instance, "description desc" will return the printers sorted by description in descending order. |

### Request body

The request body must be empty.

### Response body

Response for listing printers.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printers": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers#Printer`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `printers[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers#Printer`)`` List of printers. If `orgUnitId` was given in the request, then only printers visible for this OU will be returned. If `orgUnitId` was not given in the request, then all printers will be returned. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.chrome.printers`
- `
  https://www.googleapis.com/auth/admin.chrome.printers.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).